@font-face {
    font-family: 'interregular';
    src: url('fonts/inter-variablefont_slntwght-webfont.woff2') format('woff2'),
         url('fonts/inter-variablefont_slntwght-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body, button, input {
    font-family: 'interregular';
    color: white;
}

h1 {
    display: inline;
    font-size: 1.7rem;
}

hr {
    width: 100%;
}

img[src$=".svg"] {
    filter: invert(100%);
}

#container {
    position: absolute;
    top: 0;
    left: 0;
    display: grid;
    grid-template: 1fr 5fr / 220px 1fr;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-image: url("images/pexels-byrahul-1011100.jpg");
    background-position: center;
    background-size: cover;
}

/* SIDEBAR SECTION */

#sidebar {
    background: linear-gradient(rgba(34, 34, 34, 0.3), rgba(0, 200, 200, 0.3));
    backdrop-filter: blur(5px);
    grid-row: 1 / 3;
    padding: 10px;
    display: grid;
    grid-template-rows: 4rem auto auto;
    align-content: start;
    gap: 20px;
}

#sidebar > div:first-child {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
}

#sidebar > div:not(:first-child) {
    display: flex;
    flex-direction: column;
}

#sidebar button {
    background-color: transparent;
    border: none;
    color: white;
    font-size: 1rem;
    height: 2.5rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    padding-left: 0.8rem;
}

#sidebar button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

/* HEADER SECTION */

#header {
    display: grid;
    grid-template: 3rem 1fr / 5fr 3fr;
    padding: 0.5rem 2rem 0.7rem;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
}

#search {
    display: flex;
    align-items: center;
    gap: 7px;
}

input[type="text"] {
    background-color: rgb(39, 48, 48);
    border: 2px solid rgb(56, 66, 66);
    width: 70%;
    height: 1.7rem;
    font-size: 1rem;
    border-radius: 0.8rem;
    padding: 0 0.5rem;
}

#account {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
    padding-right: 2rem;
}

#account > button {
    position: relative;
    width: 30px;
    height: 30px;
    background-color: transparent;
    border-radius: 50%;
    border: none;
}

#account > button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

#account > button > img {
    position: absolute;
    top: 5px;
    left: 5px;
}

img.profile {
    border-radius: 50%;
}

#greeting {
    display: flex;
    gap: 15px;
}

#greeting > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 0.8rem;
}

#greeting span:last-child {
    font-size: 1rem;
}

#options {
    display: flex;
    justify-content: flex-end;
    gap: 2rem;
    align-items: center;
}

#options > button {
    background-color: rgb(0, 170, 155);
    font-weight: bold;
    border: none;
    width: 5rem;
    height: 2.5rem;
    border-radius: 1.3rem;
}

#options button:hover {
    background-color: rgb(1, 133, 122);
}

/* CONTENT SECTION */

#content {
    display: grid;
    grid-template: repeat(2, 1fr) / 3fr 1fr;
    gap: 15px;
    overflow: auto;
    padding: 30px 50px;
    box-shadow: inset 0 10px 10px 0 rgba(0, 0, 0, 0.3);
}

.content-heading {
    display: block;
    font-size: 1.2rem;
    font-weight: 700;
}

.block {
    background-color: rgba(150, 150, 150, 0.2);
    backdrop-filter: blur(5px);
    border-radius: 7px;
    box-shadow: 5px 5px 5px 0 rgba(0, 0, 0, 0.1);
}

.project {
    border-left: 7px solid aqua;
    padding: 1rem;
    position: relative;
}

.project-name {
    font-weight: 700;
}

.block p {
    margin: 0;
    font-size: 0.8rem;
    color: white;
}

.project div {
    display: flex;
    gap: 5px;
    position: absolute;
    right: 30px;
    bottom: 20px;
}

.project button {
    position: relative;
    width: 30px;
    height: 30px;
    background-color: rgba(0, 0, 0, 0);
    border: none;
    border-radius: 5px;
    transition: background-color 0.1s;
}

.project button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.project button > img {
    position: absolute;
    top: 5px;
    left: 5px;
}

#projects-section {
    grid-row: 1 / 3;
}

#projects-section, #announcements-section, #trending-section {
    display: grid;
    grid-template-rows: 1.7rem 1fr;
}

#projects-section > div {
    display: grid;
    grid-template: repeat(3, 1fr) / repeat(2, 1fr);
    gap: 20px;
}

#announcements-section > .block {
    display: grid;
    grid-template-rows: 1fr auto 1fr auto 1fr;
    padding: 1.5rem;
}

.announcement-title {
    font-size: 0.9rem;
    font-weight: 700;
    margin-bottom: 0.1rem;
}

#trending-section > div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 0.7rem;
    padding: 1rem;
}

.trending-block {
    display: flex;
    align-items: center;
    gap: 0.7rem;
}

.trending-block > div {
    display: inline-grid;
}

.trending-block span {
    font-size: 0.9rem;
}